Search found 27 matches

Go to advanced search

by mrrclb48z
Sun Mar 04, 2018 1:26 pm
Forum: 日本語フォーラム
Topic: 四面体を作成するmacroを探しています。
Replies: 0
Views: 526

四面体を作成するmacroを探しています。

(参考)FreeCAD 0.17で、正四面体をモデリングする http://freecad.vdlz.xyz/tutorial/Figure/RegularTetrahedron/RegularTetrahedron_017.html 4点のxyz座標から作図できるmacroだと助かります。 よろしくお願いします。 -------------- 【補足】(2018/3/5) (参考)autocad PYRAMID[角錐] (コマンド) https://knowledge.autodesk.com/ja/support/autocad/learn-explore/caas/CloudHelp/c...
by mrrclb48z
Sat Feb 10, 2018 3:50 am
Forum: 日本語フォーラム
Topic: ソリッド毎に頂点のxyz座標一覧を表示する方法を教えて下さい
Replies: 2
Views: 1045

ソリッド毎に頂点のxyz座標一覧を表示する方法を教えて下さい

方法1.pythonマクロを使う。
方法2.stepファイル等から抽出する。
(参考)FreeCADのcubeをSTEP出力してみた
https://qiita.com/mrrclb48z/items/453f410d117f87958bd4
よろしくお願いします。
by mrrclb48z
Fri Feb 09, 2018 12:15 pm
Forum: 日本語フォーラム
Topic: マクロでラベルを出力する方法を教えて下さい
Replies: 1
Views: 1037

Re: マクロでラベルを出力する方法を教えて下さい

o.ObjectNameできました
(参考)FreeCADのpythonマクロでTree viewをReport viewに表示 してみた
https://qiita.com/mrrclb48z/items/ad9d34390946bd0174a0
by mrrclb48z
Thu Feb 08, 2018 12:26 pm
Forum: 日本語フォーラム
Topic: 投稿してもすぐに表示されない事はありますか
Replies: 0
Views: 568

投稿してもすぐに表示されない事はありますか

昨日、初めて投稿しまして、表示されなくて、2度投稿しました。
今日表示されていました。
よろしくお願いします。
by mrrclb48z
Thu Feb 08, 2018 12:18 pm
Forum: 日本語フォーラム
Topic: マクロでラベルを出力する方法を教えて下さい
Replies: 1
Views: 1037

マクロでラベルを出力する方法を教えて下さい

# -*- coding: utf-8 -*- def MYSelect_all(): # https://forum.freecadweb.org/viewtopic.php?f=3&t=19248 # Code: Select all Gui.Selection.clearSelection() for obj in FreeCAD.ActiveDocument.Objects: if obj.ViewObject.isVisible(): Gui.Selection.addSelection(obj) return # ----------------------------------...
by mrrclb48z
Thu Feb 08, 2018 12:13 pm
Forum: 日本語フォーラム
Topic: 全選択を解除する方法を教えて下さい
Replies: 2
Views: 943

Re: 全選択を解除する方法を教えて下さい

できました。ありがとうございました。
マルチポストしてしまいました。
https://ja.stackoverflow.com/questions/ ... る方法を教えて下さい
by mrrclb48z
Wed Feb 07, 2018 11:44 am
Forum: 日本語フォーラム
Topic: 全選択を解除する方法を教えて下さい
Replies: 2
Views: 943

全選択を解除する方法を教えて下さい

# -*- coding: utf-8 -*- print "開始" # https://forum.freecadweb.org/viewtopic.php?f=3&t=19248 # Code: Select all Gui.Selection.clearSelection() for obj in FreeCAD.ActiveDocument.Objects: if obj.ViewObject.isVisible(): Gui.Selection.addSelection(obj) # https://www.freecadweb.org/wiki/Manual/jp # 選択機能を使...

Go to advanced search